Skip to main content
GET
https://almanac-backend-83vc.onrender.com
/
v1
/
wikis
/
{wiki_id}
/
uploads
/
{upload_id}
Upload
curl --request GET \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/uploads/{upload_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/uploads/{upload_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/uploads/{upload_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "created_at": "<string>",
  "error": "<string>",
  "finished_at": "<string>",
  "source_count": 123,
  "status_label": "<string>",
  "summary": "<string>",
  "updated_at": "<string>",
  "upload_id": "<string>",
  "wiki_id": "<string>"
}
{
  "error": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wiki_id
string
required
upload_id
string
required

Response

Successful Response

created_at
string
required
error
string | null
required
finished_at
string | null
required
source_count
integer
required
status
enum<string>
required
Available options:
uploading,
queued,
completed,
failed
status_label
string
required
status_state
enum<string>
required
Available options:
ready,
running,
failed,
unknown
summary
string | null
required
updated_at
string
required
upload_id
string
required
wiki_id
string
required